

/* blob.c */
int init_blob (void);
int finish_blobs (Edge_buffer *edgebuf);
int blobs_frame_done (Edge_buffer *edgebuf);
void blobs_calculate_area (Edge_buffer *edgebuf);
Blob *blobs_select_largest (Edge_buffer *edgebuf);
int blob_area_compare (Blob **b1, Blob **b2);
int blobs_select_largest_n (Blob **ret, Edge_buffer *edgebuf, int n);
void print_done_blobs (Edge_buffer *edgebuf);
int edges_to_blobs (Edge_buffer *edgebuf);
void reset_blob_frame (void);
Blob *new_blob (Edge_buffer *edgebuf, Epts *ed);
int blob_len (Blob *b);
void print_blob (Blob *b);
void plot_blob (Blob *b);
int make_new_blobs (Edge_buffer *edgebuf, Epts *from, Epts *to);
Blob *find_blob (int blob_index);
void die (void);
void blob_find_area (Blob *b);
void blob_find_cg (Blob *b);
void blobcat (Blob *dest, Blob *src);
int add_to_blob (Edge_buffer *edgebuf, Blob *bl, Epts *from, Epts *to);
void blob_find_axes (Blob *b);
int compute_i (int xx, int xy, int yy, int angle);
void blob_compute_xx_xy_yy (Blob *b, long *xxp, long *xyp, long *yyp);
void blob_compute_xx_xy_yy_partial (Blob *b, long *xxp, long *xyp, long *yyp, int mask);
void blob_compute_xx_xy_yy_full (Blob *b, long *xxp, long *xyp, long *yyp);

