/***************************************************************************
	This source code is part of the Cognachrome 2000 vision system.
	Copyright 1994, Anne Wright, anarch@mit.edu,
	                Randy Sargent, rsargent@mit.edu
	This copy is not to be distributed in any form
	and is to be used only with express permission of the author.
****************************************************************************/

#ifndef __sony__
#define __sony__

#define DAC_ADDR	0x27
#define APL_DAC 	2
#define SHARPNESS_DAC 	3
#define SATURATION_DAC 	4
#define HUE_DAC 	5

#define set_apl(val) (write_sbx_dac(DAC_ADDR,APL_DAC,val))
#define set_sharpness(val) (write_sbx_dac(DAC_ADDR,SHARPNESS_DAC,val))
#define set_saturation(val) (write_sbx_dac(DAC_ADDR,SATURATION_DAC,val))
#define set_hue(val) (write_sbx_dac(DAC_ADDR,HUE_DAC,val))

#include "sony.pro"

#endif
