/***************************************************************************
	This source code is part of the Cognachrome 2000 vision system.
	Copyright 1994, Anne Wright, anarch@mit.edu,
	                Randy Sargent, rsargent@mit.edu
	This copy is not to be distributed in any form
	and is to be used only with express permission of the author.
****************************************************************************/

#ifndef __vis_hw__
#define __vis_hw__


#define DIGITIZE_24() (*(volatile Color24 *)color_base)
#define DIGITIZE_RED16() ((volatile Color16 *)color_base[1])
#define DIGITIZE_BLUE16() ((volatile Color16 *)color_base[0])
#define DIGITIZE_GREEN() (*((volatile Color8 *)color_base))

				/* for these two, 0 for blue, 1 for red */

extern volatile Color24 * const dig24;
extern volatile Color16 * const dig16;
extern int vision_hardware_initialized;

#include "vis_hw.pro"
#endif
